<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"
  encoding="ISO-8859-1"
  indent="yes"
  doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

 <xsl:template match="/">
    <html>
      <head>
        <title>Robot Playback Log</title>
        <script language="javascript" type="text/javascript"><![CDATA[
          var property = "Hello World";
          var count =0;
          function writeHeader(testwindow)
          {
          testwindow.document.write('<html><title>Event Properties</title><body><table border="0" width ="100%">');
          testwindow.document.write('<tr bgcolor="#F2F8FC" align ="Center">');
          testwindow.document.write('<th style="width: 50%">Property</th>');
          testwindow.document.write('<th style="width: 50%">Value</th>');
          testwindow.document.write('</tr>');
          }
	function OpenComparator(exename,basefile,actfile)
	{
	var h1=new ActiveXObject("Wscript.Shell");
	var rthome = h1.ExpandEnvironmentStrings("%RATL_RTHOME%");
	var strTemp=rthome.replace(/\\/g, "/");
	var procpath="file:///"+encodeURI(strTemp)+"/"+exename;


	var myloc =unescape(window.location.href);
	var locarray = myloc.split("/");
	delete locarray[(locarray.length-1)];
	var arraytext = locarray.join("\\");
	var LogPath=arraytext.substring(8);
	


	delete locarray[(locarray.length-2)];
      arraytext=locarray.join("\\");
	var VPPath=arraytext.substring(8,arraytext.length-1)+"Scripts\\vp\\";

	var param=" -currentbaseline "+"\""+LogPath+unescape(basefile)+"\""+" -actual "+"\""+LogPath+unescape(actfile)+"\"";
	h1.Run(procpath+param);
	h1=null;
	}   
       function writeProp(testwindow,prop,val)
          {
            count = count + 1;
            if(count %2 == 1)
              testwindow.document.write('<tr bgcolor="#F1F1F1" border="1" rules="rows">');
              testwindow.document.write('<td>');
              testwindow.document.write(prop);
              testwindow.document.write('</td><td>');
              if(val == '' || val == ' ')
                testwindow.document.write('***');
              else
                testwindow.document.write(val);
              testwindow.document.write('</td></tr>');
          }
          function ShowEventProperties(type,result,reason,description,linenumber,scriptname,scriptvpname,scriptvptype,baselineresultfile,
          actualresultfile,additionalinformation,additionaloutput,masterresultsfile)
          {
            testwindow = window.open ("", "Properties","left=500,top=200,width=700,height=400,resizable=1");
            writeHeader(testwindow);
            writeProp(testwindow,'Event Type',type);
            writeProp(testwindow,'Result',result);
            writeProp(testwindow,'Failure Reason',reason);
            writeProp(testwindow,'Failure Description',description);
            writeProp(testwindow,'Script Line Number',linenumber);
            writeProp(testwindow,'Script Name',scriptname);
            writeProp(testwindow,'Script VP Name',scriptvpname);
            switch (scriptvptype)
            {
                case '1': writeProp(testwindow,'Script VP Type','Window Image'); break;
                case '2': writeProp(testwindow,'Script VP Type','Region Image'); break;
                case '3': writeProp(testwindow,'Script VP Type','Alphanumeric'); break;
                case '4': writeProp(testwindow,'Script VP Type','Menu'); break;
                case '5': writeProp(testwindow,'Script VP Type','Clipboard'); break;
                case '8': writeProp(testwindow,'Script VP Type','Window Existence'); break;
                case '10': writeProp(testwindow,'Script VP Type','Object Properties'); break;
                case '11': writeProp(testwindow,'Script VP Type','Object Data'); break;
                default:
            }
            writeProp(testwindow,'Baseline Result File',baselineresultfile);
            writeProp(testwindow,'ActualResult File',actualresultfile);
            writeProp(testwindow,'Additional Information',additionalinformation);
            writeProp(testwindow,'Additional Output',additionaloutput);
            writeProp(testwindow,'Master Results File',masterresultsfile);
            testwindow.document.write('</table>');
            testwindow.document.write('  <Font face="Arial" size="2" color="Red">');
            testwindow.document.write(' ***  = Not Applicable');
            testwindow.document.write('  </Font>');
            testwindow.document.write('</body></html>');
            testwindow.document.close();
          }
        ]]></script>
      </head>
      <body >
        <div style="height: 100%;width: 100%" >
         <div style="z-index:1; position:absolute; left:0px; top:0px; width: 100%"><img src="RRobot_banner.gif"/></div>
          <div style="z-index:2; position:absolute; right:0px; top:0px; "><img src="IBM_logo_mark.gif"/></div>
          <div style="position:relative; font-size: 19pt; font-family: Arial;color: black;">"
              <xsl:for-each select="RobotLogEvents/ScriptStart[1]"> <p>Test Log - <xsl:value-of select="@ScriptName"/></p> </xsl:for-each>
          </div>
          <div >
            <table border="0" width="100%">
              <tr bgcolor="#F2F8FC" align ="Center">
                <th style="width: 30%">EventType</th>
                <th style="width: 5%">Result</th>
                <th style="width: 55%">Remarks</th>
              </tr>
              <xsl:for-each select="RobotLogEvents/*">
                <xsl:variable name="eventType" select="@Type"/>
                <xsl:variable name="result" select="@Result"/>
                <xsl:variable name="reason" select="@Reason"/>
                <xsl:variable name="description" select="@Description"/>
                <xsl:variable name="linenumber" select="@ScriptLineNumber"/>
                <xsl:variable name="scriptname" select="@ScriptName"/>
                <xsl:variable name="scriptvpname" select="@ScriptVPName"/>
                <xsl:variable name="scriptvptype" select="@ScriptVPType"/>
                <xsl:variable name="baselineresultfile" select="@BaselineResultsFile"/>
                <xsl:variable name="actualresultfile" select="@ActualResultsFile"/>
                <xsl:variable name="additionalinformation" select="@AdditionalInformation"/>
                <xsl:variable name="additionaloutput" select="@AdditionalOutput"/>
                <xsl:variable name="masterresultsfile" select="@MasterResultsFile"/>
                <xsl:variable name="allparams" select="."/>
                <a name="anchor"/>
<xsl:if test="position()  mod 2 = 1">
                <tr bgcolor="White">
                  <Font face="Arial" size="2" >  
                <xsl:choose>
                  <xsl:when test="@Type='Log Message'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Log Message</a>
                                    ( <xsl:value-of select="@AdditionalInformation"/>)</td> </xsl:when>
                  <xsl:when test="@Type='Call Script'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Call Script</a>
                                    ( <xsl:value-of select="@AdditionalInformation"/>)</td> </xsl:when>
                  <xsl:when test="@Type='Application Start'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Application Start</a></td> </xsl:when>
                  <xsl:when test="@Type='Script Start'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script Start</a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                  <xsl:when test="@Type='Script End'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script End</a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                  <xsl:when test="@Type='Playback Warning'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Playback Warning</a> </td> </xsl:when>
                  <xsl:when test="@Type='Unexpected Active Window'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Unexpected Active Window</a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                  <xsl:when test="@Type='Script Command Failure'"> 
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script Command Failure </a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                  <xsl:when test="@Type='Verification Point'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Verification Point</a>
		                        <xsl:choose>
                                      <xsl:when test="@ScriptVPType=1"> ( <xsl:value-of select="@ScriptVPName"/> - Window Image )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						 </xsl:when>
                                      <xsl:when test="@ScriptVPType=2"> ( <xsl:value-of select="@ScriptVPName"/> - Region Image ) 
 							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
 
						</xsl:when>
                                      <xsl:when test="@ScriptVPType=3"> ( <xsl:value-of select="@ScriptVPName"/> - Alphanumeric )

							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpt.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpt.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
					 	</xsl:when>
                                      <xsl:when test="@ScriptVPType=4"> ( <xsl:value-of select="@ScriptVPName"/> - Menu )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						 </xsl:when>
                                      <xsl:when test="@ScriptVPType=5"> ( <xsl:value-of select="@ScriptVPName"/> - Clipboard )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						</xsl:when>
                                      <xsl:when test="@ScriptVPType=8"> ( <xsl:value-of select="@ScriptVPName"/> - Window Existence ) 
							</xsl:when>
                                      <xsl:when test="@ScriptVPType=10"> ( <xsl:value-of select="@ScriptVPName"/> - Object Properties )

							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpp.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpp.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>

	 					 </xsl:when>
                                      <xsl:when test="@ScriptVPType=11"> ( <xsl:value-of select="@ScriptVPName"/> - Object Data ) 
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						</xsl:when>
                                    </xsl:choose>
						
                                  </td> 
					
			</xsl:when>
                  </xsl:choose>
                    <xsl:variable name="res" select="@Result"/>
                  <xsl:choose>
                    <xsl:when test="@Result='Pass'"><td align ="Center" > <xsl:value-of select="@Result"/></td></xsl:when>
                    <xsl:when test="@Result='Fail'"> <td align ="Center" bgcolor="#e55c5c"> <xsl:value-of select="@Result"/> </td> </xsl:when>
                    <xsl:when test="@Result='Warning'"> <td  align ="Center" bgcolor="#ffff80" > <xsl:value-of select="@Result"/> </td> </xsl:when>
                    <xsl:when test="@Result=' '"><td bgcolor="White" align ="Center" ><xsl:value-of select="@Result"/></td></xsl:when>
                  </xsl:choose>
                  <td><xsl:value-of select="@Description"/></td>
                </Font>
              </tr>
</xsl:if>
                <!-- This if else is just for the making alternate rows with white & Gray background
                     For some reason, I could not make the template working here.
                -->
<xsl:if test="position()  mod 2 = 0">
                  <tr bgcolor="#F1F1F1">
                    <Font face="Arial" size="2" >
                      <xsl:choose>
                        <xsl:when test="@Type='Log Message'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Log Message</a>
                                    ( <xsl:value-of select="@AdditionalInformation"/>)</td> </xsl:when>
                        <xsl:when test="@Type='Call Script'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Call Script</a>
                                    ( <xsl:value-of select="@AdditionalInformation"/>)</td> </xsl:when>
                        <xsl:when test="@Type='Application Start'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Application Start</a> </td> </xsl:when>
                        <xsl:when test="@Type='Script Start'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script Start</a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                        <xsl:when test="@Type='Script End'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script End</a>
                                      ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                        <xsl:when test="@Type='Playback Warning'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Playback Warning</a> </td> </xsl:when>
                        <xsl:when test="@Type='Unexpected Active Window'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Unexpected Active Window</a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                        <xsl:when test="@Type='Script Command Failure'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Script Command Failure </a>
                                    ( <xsl:value-of select="@ScriptName"/> )</td> </xsl:when>
                        <xsl:when test="@Type='Verification Point'">
                                    <td > <a href="javascript:ShowEventProperties( '{$eventType}','{$result}','{$reason}','{$description}','{$linenumber}','{$scriptname}',
                                    '{$scriptvpname}','{$scriptvptype}','{$baselineresultfile}','{$actualresultfile}','{$additionalinformation}',
                                    '{$additionaloutput}','{$masterresultsfile}')">Verification Point</a>
                                     	                        <xsl:choose>
                                      <xsl:when test="@ScriptVPType=1"> ( <xsl:value-of select="@ScriptVPName"/> - Window Image )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						 </xsl:when>
                                      <xsl:when test="@ScriptVPType=2"> ( <xsl:value-of select="@ScriptVPName"/> - Region Image ) 
 							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpi.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
 
						</xsl:when>
                                      <xsl:when test="@ScriptVPType=3"> ( <xsl:value-of select="@ScriptVPName"/> - Alphanumeric )

							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpt.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpt.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
					 	</xsl:when>
                                      <xsl:when test="@ScriptVPType=4"> ( <xsl:value-of select="@ScriptVPName"/> - Menu )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						 </xsl:when>
                                      <xsl:when test="@ScriptVPType=5"> ( <xsl:value-of select="@ScriptVPName"/> - Clipboard )
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						</xsl:when>
                                      <xsl:when test="@ScriptVPType=8"> ( <xsl:value-of select="@ScriptVPName"/> - Window Existence ) 
							</xsl:when>
                                      <xsl:when test="@ScriptVPType=10"> ( <xsl:value-of select="@ScriptVPName"/> - Object Properties )

							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpp.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpp.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>

	 					 </xsl:when>
                                      <xsl:when test="@ScriptVPType=11"> ( <xsl:value-of select="@ScriptVPName"/> - Object Data ) 
							<xsl:variable name="res" select="@Result"/>
                  				<xsl:choose>
                     				<xsl:when test="@Result='Fail'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>
							<xsl:when test="@Result='Warning'">  
                    						 <a href="javascript:OpenComparator('rtcmpg.exe','{$baselineresultfile}','{$actualresultfile}')"> OpenComparator</a>
							</xsl:when>

							</xsl:choose>
						</xsl:when>
                                    </xsl:choose>
                                     
                                      </td> </xsl:when>
                      </xsl:choose>
                      <xsl:choose>
                        <xsl:when test="@Result='Pass'"> <td align ="Center" > <xsl:value-of select="@Result"/> </td> </xsl:when>
                        <xsl:when test="@Result='Fail'"> <td align ="Center" bgcolor="#e55c5c"><xsl:value-of select="@Result"/> </td> </xsl:when>
                        <xsl:when test="@Result='Warning'"> <td  align ="Center" bgcolor="#ffff80"> <xsl:value-of select="@Result"/> </td> </xsl:when>
                        <xsl:when test="@Result=' '"> <td bgcolor="#F1F1F1" align ="Center" > <xsl:value-of select="@Result"/> </td> </xsl:when>
                      </xsl:choose>
                      <td> <xsl:value-of select="@Description"/> </td>
                    </Font>
                  </tr>
</xsl:if>
              </xsl:for-each>
          </table>
          </div>
        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>